### Virtual Method

# Gtk CellArea get_request_mode

deprecated: 4.10

#### Declaration [src]

    GtkSizeRequestMode
    get_request_mode (
      GtkCellArea* area
    )

#### Description [src]

Gets whether the area prefers a height-for-width layout or a width-for-height layout.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Return value

Type: `GtkSizeRequestMode`

The `GtkSizeRequestMode` preferred by `area`.